package com.realnet.messaging_app_20251010_040350-b.Services;
import com.realnet.messaging_app_20251010_040350-b.Repository.MessagingappwireframeRepository;
import com.realnet.messaging_app_20251010_040350-b.Entity.Messagingappwireframe
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class MessagingappwireframeService {
@Autowired
private MessagingappwireframeRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Messagingappwireframe Savedata(Messagingappwireframe data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Messagingappwireframe save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Messagingappwireframe> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Messagingappwireframe> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Messagingappwireframe> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Messagingappwireframe getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Messagingappwireframe update(Messagingappwireframe data,Integer id) {
	Messagingappwireframe old = Repository.findById(id).get();
old.setSender(data.getSender());

old.setReceiver(data.getReceiver());

old.setMessagecontent(data.getMessagecontent());

old.setTimestamp(data.getTimestamp());

final Messagingappwireframe test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
